#!/usr/bin/env python3
# Přibližné řešení rovnice x=cos(x) binárním vyhledáváním

from math import cos

# Udržujeme interval [l,p] takový, že x-cos(x) má na obou
# krajích intervalu opačná znaménka.
l = 0
p = 1

while p-l > 1e-10:
    x = (l+p) / 2
    if x-cos(x) < 0:
        l = x
    else:
        p = x

print("Kořen leží mezi", l, "a", p)
